"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _ = _interopRequireDefault(require("./"));

var _parser = require("@babel/parser");

var _chai = require("chai");

var _traverse = _interopRequireDefault(require("@babel/traverse"));

var _chalk = _interopRequireDefault(require("chalk"));

function _templateObject2() {
  var data = (0, _taggedTemplateLiteral2["default"])(["const foo = () => {bgBlue 2};\n\nconst bar = {bgBlue 500} + {bgBlue 600};"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n    const foo = () => {bgBlue 2}\n    const bar = {bgBlue 500} + {bgBlue 600}\n    "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

describe('printHighlightedAst', function () {
  it('passing code', function () {
    var code = "\n    const foo = () => 2\n    const bar = 500 + 600\n    ";
    var ast = (0, _parser.parse)(code);
    var highlights = [];
    (0, _traverse["default"])(ast, {
      NumericLiteral: function NumericLiteral(path) {
        highlights.push([path, _chalk["default"].bgBlue]);
      }
    });
    (0, _chai.expect)((0, _["default"])(code, {
      highlights: highlights
    })).to.equal((0, _chalk["default"])(_templateObject()));
  });
  it('passing ast', function () {
    var code = "\n    const foo = () => 2\n    const bar = 500 + 600\n    ";
    var ast = (0, _parser.parse)(code);
    var highlights = [];
    (0, _traverse["default"])(ast, {
      NumericLiteral: function NumericLiteral(path) {
        highlights.push([path, _chalk["default"].bgBlue]);
      }
    });
    (0, _chai.expect)((0, _["default"])(ast, {
      highlights: highlights
    })).to.equal((0, _chalk["default"])(_templateObject2()));
  });
});